package cis690.insight;

import org.eclipse.gef.DefaultEditDomain;
import org.eclipse.gef.GraphicalViewer;
import org.eclipse.gef.editparts.FreeformGraphicalRootEditPart;
import org.eclipse.gef.ui.parts.ScrollingGraphicalViewer;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.ui.part.ViewPart;

import cis690.insight.debug.DebugModel;
import cis690.insight.parts.InsightPartFactory;

public class View extends ViewPart
{
	/**
	 * Attach a GraphicalViewer instance to the "parent" composite.
	 * @param parent
	 */
	public void createPartControl(Composite parent)
	{
	    GraphicalViewer viewer = new ScrollingGraphicalViewer();
		viewer.setEditDomain(new DefaultEditDomain(null));
		viewer.createControl(parent);
		
		//viewer config
		viewer.getControl().setBackground(Colors.BACKGROUND);
		viewer.setRootEditPart(new FreeformGraphicalRootEditPart());
		viewer.setEditPartFactory(new InsightPartFactory());
		viewer.setContents(new DebugModel());
	}

	public void setFocus()
	{
	    
	}

}
