package cis690.insight.parts;

import org.eclipse.gef.EditPart;
import org.eclipse.swt.widgets.Display;

/**
 * 
 * @version Apr 29, 2004
 * @author charlie
 */
public class AsyncRefresh implements Runnable
{
	private EditPart m_editPart;
	private Thread m_uiThread;
	
	/** this object must be created by the UI thread */
	public AsyncRefresh(EditPart editPart)
	{
		m_uiThread = Thread.currentThread();
		m_editPart = editPart;
	}
	
	/** originates a refresh from the UI thread */
	public void refresh()
	{
		Display.findDisplay(m_uiThread).asyncExec(this);
	}
	
	/** originates a refresh from the current thread */
	public void run()
	{
		assert(Thread.currentThread() == m_uiThread);
		m_editPart.refresh();
	}
}
